Open BankingB2B SuiteERP Integration
GuidesAPI ReferenceChangelog
Menu

Categories

Open BankingB2B SuiteERP Integration

  • GENERAL INFORMATION

    • Documentation guide
    • SingleView B2B Core APIs
    • Platform architecture
  • GETTING STARTED

    • Integration guide
    • Become a user
    • Prerequisites for Sandbox
    • Establishing secure connection
    • Authenticating your request
    • Making your first test api call
    • Prerequisites for production
    • Moving to production
  • AUTHENTICATION

    • Header parameters
    • Obtain access token
    • Generate signature
  • Data APIs

    • Account statement
    • Balance enquiry
    • IBAN verification
    • POS transactions
    • Raw statement
  • Payment APIs

  • SADAD

  • RESOURCES

    • POR Details
    • Error codes
  • API Archives


Post-payment enquiry

Fetch updated status of the processed Payouts payments

Introduction

SingleView Post-Payment Enquiry services connect Corporate users via a secure channel and enable them to enquire about the status of their transactions quickly and easily. The key feature of the service allows the user to get immediate acknowledgment about the most recent status of their payments.

Important information

This service can be used to verify the status of the following types of payment transactions made by the user:

  • Within own accounts
  • Local payments (SARIE)
  • International payments (SWIFT)

The client needs to initiate a Post-Payment Transaction Enquiry request via the B2B system for the following banks:

  • Al Rajhi Bank
  • Arab National Bank (ANB)
  • Saudi Awwal Bank (SAB)
Payment enquiry not required

There is no need to initiate a post-payment transaction enquiry request, as the user will receive an instant confirmation for the following banks:

  • Alinma Bank
  • Banque Saudi Fransi (BSF)
  • Saudi National Bank (NCB)
  • Riyad Bank

Domain details

Environment

Domain

Rate/Limit

Sandbox

sandboxapi.onesingleview.com

10 Calls per Minute

Production/LIVE

To be provided upon onboarding

Based on contract

Post-payment Enquiry

Try in API Reference ➜

Endpoint details

Endpoint URL

Method

Authentication requirements

/api/v1/payment/enquiry

POST

  1. CompanyId
  2. SVReferenceID
  3. DateTimeStamp
  4. Device
  5. Authorization: Bearer (Token)

Synchronous Method

Sample request

Post-payment Enquiry Request (Synchronous Method)
curl --location 'https://sandboxapi.onesingleview.com/api/v1/payment/enquiry' \
--header 'CompanyId: MYCOMPANY'
--header 'SVReferenceID: SV150619940615'
--header 'DateTimeStamp	:2025-01-02T10:20:39'
--header 'Device: Web'
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJkYXRhIjoiTDNyMmpxV29JS2I4MTNodDBNMlZ4WGpFZmR6WFNWaTFad3B5QnlkOVpHelZXR2ZwUmFQNUV1TXl6S1Aybi94Y0lwR2V5STNNMkdPL1pqakd4ZG0yclJKUkdhRXlaWGNpWnZnOHArMWIyOGtOQTVkZ0VKajVVSEdiTmtNPSIsImlhdCI6MTczNTgwMTQ3NywiZXhwIjoxNzM1ODA1MDc3fQ.Bh7LFkvxNFrLe9dmH5rURWjGpES-u4z2EGeyrNM7z6E'
--header 'Content-Type: application/json' \
--data '{
"Message": {
  "OSVPaymentMessageRequest": {
    "OSVPaymentStatusRequest": [
      {
        "Transactions": [
          {
            "BulkToSingle": true,
            "CompanyCode": "SingleView",
            "TransactionReferenceNumber": "977777364313151",
            "SequenceNum": "977777285422521"
          },
          {
            "BulkToSingle": true,
            "CompanyCode": "SingleView",
            "TransactionReferenceNumber": "977777364313151",
            "SequenceNum": "977777222462551"
          }
        ],
        "BankCode": "ALRAJHI",
        "MessageType": "SINGLEREQ"
      }
    ]
  }
},
"Signature": "MMRrtws4rKuJASNxYL+MAzEZp1B1XpuBXjd/tjNoOl3N4JLhZ+2dVQ9Xxyxx3WsfGr4T786jhhLEFdqu4oQXEeedd/8u0n3rSuKahBTWeHLiMksU5Wx/0jCp8WlwzmrPyDObwt3ecqzEYEkG9SfFEEwlqbMKli+EVzQmKm8nGFvkXnY1aSWZTsfp628XE0zrOQsHA3//8xjKN2PXsetAZuUCmef7b0Xi219sNTvIi2eByY/i7zyF9UHHMkzeSlsE6gr6DDQrs/k+wJl+3w7+IZQ7vPweuAON8qVOSl75Q0Vvr+7PXS+drYmWGLa2iJ44t9ErCL70vnuzfqCv0Q5NCA=="
}'

Request description

JSON Tag

Description

Data type

OSVPaymentMessageRequest
Mandatory

Root node containing all the payment enquiry message

Object

OSVPaymentStatusRequest
Mandatory

Tag carrying information on the payment enquiry request

Object

BankCode
Mandatory

Unique bank identification code
Ex:ALRAJHI, SABB, BSF, ANB, NCB, ALINMA, GIB, RIYADH, ALBI, BJAZ

String

MessageType
Mandatory

Details on the type of message request to be mentioned as SINGLEREQ

String

Transactions
Mandatory

Tag carrying information of transactions to be requested for payment enquiry

Object

BulkToSingle
Optional

Boolean indication of payment type (Bulk/Single)
Usage depends on the volume of payments included in the request. Final parameter value will be specified later

Boolean (True/False)

CompanyCode
Mandatory

Sender company code or identifier provided by the bank at the time of on-boarding

Alphanumeric

TransactionReferenceNumber
Mandatory

Transaction reference number
Maximum length : 16 numeric characters

String

SequenceNum
Mandatory

Sequence number of the transaction
Length of input: 16 characters

String

Signature
Mandatory

Encrypted string generated using a Private Key/CA-Signed Certificate with SHA-256 and RSA (JCE Signature)

String

Sample Response

{
  "OSVPaymentEnquiryResponse": [
    {
      "BankCode": "ALRAJHI",
      "MessageType": "SINGLEREQ",
      "OSVPaymentStatusResponse": [
        {
          "CompanyCode": "SingleView",
          "SequenceNum": "977777285422521",
          "StatusCode": "SUCCESS",
          "StatusDesc": "Transaction successful",
          "TransactionReferenceNumber": "977777222462551",
          "FTReferenceNumber": "",
          "BankReferenceNumber": "",
          "TransactionType": ""
        },
        {
          "CompanyCode": "SingleView",
          "SequenceNum": "977777222462551",
          "StatusCode": "SUCCESS",
          "StatusDesc": "Transaction successful",
          "TransactionReferenceNumber": "977777222462551",
          "FTReferenceNumber": "",
          "BankReferenceNumber": "",
          "TransactionType": ""
        }
      ]
    }
  ]
}

Responses description

JSON Tag

Description

Data type

OSVPaymentEnquiryResponse

Root node

Object

BankCode

Unique bank identification code
Ex:ALRAJHI, SABB, BSF, ANB, NCB, ALINMA, GIB, RIYADH, ALBI, BJAZ

String

MessageType

Type of message response indicated as SINGLEREQ

String

OSVPaymentStatusResponse

Element root containing response of every bank transaction

Object

CompanyCode

Sender company Code/Identifier

Alphanumeric

SequenceNum

Value of “SequenceNum” tag in the request message

Numerical

StatusCode

Status code of the response

  • SUCCESS - For successfully settled payment
  • PENDING - For a pending payment
  • FAILED - For a payment failed processing

String

StatusDesc

Status description of the response

String

TransactionReferenceNumber

Unique number representing the transactions

Alphanumeric

FTReferenceNumber

File Reference Number

String

BankReferenceNumber

Bank Reference Number

String

TransactionType

Transaction Type

String

DebitAccountNo

Debit Account Number used for the transaction
Conditional forSAB

String

DebitCurrency

Debit Currency shown as SAR, AED, etc.
Conditional forSAB

String

DebitTheirRef

Debit Reference Number (same as Transaction Reference)
Conditional forSAB

String

CreditTheirRef

Bank Reference number generated when this payment processed by Bank financial system
Conditional forSAB

String

CreditAccountNo

Credit Account number or IBAN number
Conditional forSAB

String

CreditCurrency

Credit Currency shown as SAR, AED, etc.
Conditional forSAB

String

CreditAmount

Credit Amount
Conditional forSAB

String

AmountDebited

Amount Debited
Conditional forSAB

String

CustomerRate

Customer Rate
Conditional forSAB

String

AmountCredited

Amount Credited
Conditional forSAB

String

DebitValueDate

Debit Value Date
Conditional forSAB

String

CreditValueDate

Credit Value Date
Conditional forSAB

String

UTIReference

Unique reference number
Conditional forSAB

String

Asynchronous Method

Sample response

{
  "OSVPaymentEnquiryResponse": [
    {
      "BankCode": "ALRAJHI",
      "MessageType": "SINGLEREQ",
      "OSVPaymentStatusResponse": [
        {
          "CompanyCode": "SingleView",
          "SequenceNum": "977777285422521",
          "StatusCode": "SUCCESS",
          "StatusDesc": "Transaction successful",
          "TransactionReferenceNumber": "977777222462551",
          "FTReferenceNumber": "",
          "BankReferenceNumber": "",
          "TransactionType": "",
        },
        {
          "CompanyCode": "SingleView",
          "SequenceNum": "977777222462551",
          "StatusCode": "SUCCESS",
          "StatusDesc": "Transaction successful",
          "TransactionReferenceNumber": "977777222462551",
          "FTReferenceNumber": "",
          "BankReferenceNumber": "",
          "TransactionType": "",
        }
      ]
    }
  ]
}

Responses description

JSON Tag

Description

Data type

OSVPaymentEnquiryResponse

Root node

Object

MessageType

Type of message response indicated as SINGLEREQ

String

OSVPaymentStatusResponse

Element root containing response of every bank transaction

Object

CompanyCode

Sender company Code/Identifier

Alphanumeric

SequenceNum

Value of “SequenceNum” tag in the request message

Numerical

StatusCode

Status code of the response

  • SUCCESS - For successfully settled payment
  • PENDING - For a pending payment
  • FAILED - For a payment failed processing

String

StatusDesc

Status description of the response

String

TransactionReferenceNumber

Unique number representing the transactions

Alphanumeric

FTReferenceNumber

File Reference Number

String

BankReferenceNumber

Bank Reference Number

String

TransactionType

Transaction Type

String

DebitAccountNo

Debit Account Number used for the transaction
Conditional forSAB

String

DebitCurrency

Debit Currency shown as SAR, AED, etc.
Conditional forSAB

String

DebitTheirRef

Debit Reference Number (same as Transaction Reference)
Conditional forSAB

String

CreditTheirRef

Bank Reference number generated when this payment processed by Bank financial system
Conditional forSAB

String

CreditAccountNo

Credit Account number or IBAN number
Conditional forSAB

String

CreditCurrency

Credit Currency shown as SAR, AED, etc.
Conditional forSAB

String

CreditAmount

Credit Amount
Conditional forSAB

String

AmountDebited

Amount Debited
Conditional forSAB

String

CustomerRate

Customer Rate
Conditional forSAB

String

AmountCredited

Amount Credited
Conditional forSAB

String

DebitValueDate

Debit Value Date
Conditional forSAB

String

CreditValueDate

Credit Value Date
Conditional forSAB

String

UTIReference

Unique reference number
Conditional forSAB

String

Updated July 3, 2026

PreviousMultiple PaymentsNextSADAD bills
Was this helpful?